/*
 * This file is part of the repicea-statistics library.
 *
 * Copyright (C) 2009-2012 Mathieu Fortin for Rouge-Epicea
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed with the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * Please see the license at http://www.gnu.org/copyleft/lesser.html.
 */
package repicea.stats.model;

import repicea.math.AbstractMathematicalFunction;
import repicea.math.AbstractMathematicalFunctionWrapper;
import repicea.math.Matrix;


/**
 * The Likelihood class provides the basic services for all Likelihood classes
 * @author Mathieu Fortin - June 2011
 */
@SuppressWarnings("serial")
public abstract class IndividualLikelihood extends AbstractMathematicalFunctionWrapper implements LikelihoodCompatible {

	protected Matrix observedValues;

	protected IndividualLikelihood(AbstractMathematicalFunction originalFunction) {
		super(originalFunction);
	}
	
	@Override
	public void setYVector(Matrix yVector) {
		this.observedValues = yVector;
	}

	@Override
	public Matrix getYVector() {return observedValues;}
	 
	@Override
	public abstract Matrix getPredictionVector();
	

}
